Support » Plugin: WPeMatico RSS Feed Fetcher » PHP Error (status code 500) in xml-importer.php after updating to 2.2.1

  • Resolved Ruben Martin

    (@rubenmromero)


    After updating the plugin version to 2.2.1, the xml-importer.php file generates the following fatal error (status code 500) and the plugin (and the entire site) doesn’t work:

    [Tue Jan 15 06:53:26.011646 2019] [:error] [pid 14220] [client 54.76.137.83:52576] PHP Fatal error: Can’t use method return value in write context in /var/www/<path_to_wp_root>/wp-content/plugins/wpematico/app/xml-importer.php on line 218

    I am using this PHP version:

    # php -v
    PHP 5.4.45 (cli) (built: Sep 11 2015 21:23:18)
    Copyright (c) 1997-2014 The PHP Group
    Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author etruel

    (@etruel)

    Hi @rubenmromero
    thankyou very much for your feedback, we will release a new version ASAP to solve this issue.

    Sorry for this.
    If you leave it deactivated until the new release, you will be able to update it later and activate the new version.

    regards

    Plugin Author etruel

    (@etruel)

    2.2.2 is ready to update

    cheers

    I have updated to this new version 2.2.2 and now everything works perfectly.

    Thanks a lot!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP Error (status code 500) in xml-importer.php after updating to 2.2.1’ is closed to new replies.